package p.studio.compiler.source.tables;

import p.studio.compiler.source.identifiers.SourceIdentifier;

public interface DenseTableReader<IDENTIFIER extends SourceIdentifier, VALUE> extends Iterable<IDENTIFIER> {
    int size();
    VALUE get(IDENTIFIER identifier);
    Iterable<IDENTIFIER> identifiers();
    Iterable<VALUE> values();
}
